#ifndef KINECT_H
#define KINECT_H

#include <opencv/cv.h>
#include <opencv/cvaux.h>
#include <opencv/cxcore.h>
#include <opencv/highgui.h>
#include "opencv2/highgui/highgui.hpp"
#include "opencv2/imgproc/imgproc.hpp"
#include <fstream>

class Kinect
{
public:
    Kinect(){};
    virtual ~Kinect(){};
    virtual bool getData() = 0;
    cv::Mat frame;
    cv::Mat depth;
    std::string sequenceName;
    int frameCounter;
    int width, height;
    cv::Mat depthMat16bit;
};

#endif // KINECT_H
