#ifndef KINECTREADER_H
#define KINECTREADER_H

#include "kinect.h"
#include <sstream>
#include <vector>
#include <dirent.h>


class KinectReader : public Kinect
{
public:
    KinectReader();
    KinectReader(const std::string);
    virtual ~KinectReader();
    virtual bool getData();
private:
    int fps;
    double delay;
    std::stringstream frameNumber;
    std::vector<std::string> filenameRGB;
    std::string baseName;
    int timestamp;
};

#endif // KINECTREADER_H

